# This file created by conda-build 3.10.9+36.gd10dbde.dirty
# ------------------------------------------------

package:
    name: numpy-base
    version: 1.15.0
source:
    git_rev: v1.15.0
    git_url: https://github.com/numpy/numpy
    patches:
        - 0001-fix-windows-case-sensitivity.patch
        - 0002-simplify-arch-flags.patch
        - 0003-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
        - 0004-disable-memmap-filename-test-due-to-CI-link-confusio.patch
        - 0005-disable-broken-tests.patch
        - power_string_fixes.patch
build:
    force_use_keys:
        - python
    noarch: false
    number: '0'
    script: install_base.sh
    string: py27hc937464_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.8.13 py27_0
        - cython 0.28.5 py27hf484d3e_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libopenblas 0.3.2 h9ac9557_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 hf484d3e_0
        - openblas-devel 0.3.2 0
        - openssl 1.0.2p h14c3975_0
        - python 2.7.15 h1571d57_0
        - readline 7.0 ha6073c6_4
        - setuptools 40.0.0 py27_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - zlib 1.2.11 ha838bed_2
    run:
        - blas 1.0 openblas
        - libgcc-ng >=7.2.0
        - libgfortran-ng >=7,<8.0a0
        - libopenblas >=0.3.2,<0.3.3.0a0
        - python >=2.7,<2.8.0a0
test:
    commands:
        - test -e $SP_DIR/numpy/distutils/site.cfg
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - msarahan
        - ocefpaf
        - pelson
        - rgommers
